const crypto = require('crypto');

const utils = {};

utils.md5 = (string) => {
    return crypto.createHash('md5').update(string || '').digest('hex');
};

utils.base64Encode = (string) => {
    return new Buffer(string).toString('base64');
};

utils.base64Decode = (string) => {
    return new Buffer(string, 'base64').toString();
};

utils.now = () => new Date().valueOf();

module.exports = utils;